libzypp 17.37.10

context.h File Reference
`#include <zypp-core/zyppng/async/AsyncOp>`
`#include <zypp-core/zyppng/ui/UserInterface>`
`#include <zypp/RepoManager.h>`
`#include <zypp/ResPool.h>`

Go to the source code of this file.

## Classes
class | zyppng::Context

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zyppng

## Typedefs
using | zyppng::KeyRing = zypp::KeyRing
using | zyppng::KeyRingRef = zypp::KeyRing_Ptr

## Functions
| zypp::DEFINE_PTR_TYPE (KeyRing)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (Context)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (ProgressObserver)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (Provide)
template<typename T>
auto | zyppng::joinPipeline (ContextRef ctx, AsyncOpRef< T > res)